﻿using System.Diagnostics;

namespace Windows7Dev
{
    public class Utils
    {
        protected static PerformanceCounter CpuCounter;
        protected static PerformanceCounter RAMCounter;

        public static void GetCounters()
        {
            CpuCounter = new PerformanceCounter
                             {
                                 CategoryName = "Processor",
                                 CounterName = "% Processor Time",
                                 InstanceName = "_Total"
                             };

            RAMCounter = new PerformanceCounter("Memory", "Available MBytes");
        }

        public static string GetCurrentCpuUsage()
        {
            GetCounters();
            return CpuCounter.NextValue() + "%";
        }

        public static string GetAvailableRAM()
        {
            GetCounters();
            return RAMCounter.NextValue() + "Mb";
        }
    }
}